Page 1 of 2 1 2 LastLast
Results 1 to 15 of 28

Thread: State of the union - 2018

  1. #1
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,167
    Blog Entries
    2

    State of the union - 2018

    With Blizzard recently releasing patch 1.29 it is time to address how things stand. Eurobattle.net is currently in a peculiar situation which is not really good to be in..

    Dota 6.88X support
    Since Icefrog stopped developing DotA the only active branch of the map is d1stats (there are a few more knockoffs but not worthy of mention). Unfortunately since version 6.88 the map only works on W3 1.26 because it exploits a vulnerability in W3 engine that was later patched. Why not just switch to 1.26 and stay there you ask? Because we also want to keep in sync with official servers so people can join cross-realm bots like ENT. There are also welcome improvements to the game in recent patches which we don't want to miss out on (map sizes, number of players etc).

    We have restarted work on client/bots/gproxy to support switching between W3 versions on the fly and use DotA 6.88 for official leagues. We are currently roughly at 70% of the way there and we expect to release a beta for testing in the following month if all goes to plan. Support for W3 1.26/Dota 6.88 is now #1 priority and other tasks were put on hold.


    1.29 support
    Eurobattle.net is a PvPGN server which relies on w3l loader to make some changes to W3 executable and allow the game to connect to our server. Unfortunately there were some major changes in the way W3 executable is built by Blizzard in 1.29 and loader needs quite a bit more work than usual. Project is hosted on GitHub.

    Unfortunately the main developer did not yet commit to update the loader and we can't update the server to 1.29 before loader is ready. If nobody ports the loader we will have to do it ourself and since it's not the nicest piece of code we don't know how much time that would take us.

    1.29 support is therefore on hold until we find the time to start porting the loader and is second in priority to 6.88 support. However, if loader gets ported by someone we will update the server ASAP.



    Since we are short on coding manpower I can't give any realistic timelines when things will actually be ready for public release, I just wanted to inform about the current situation and what we are currently working on.

    Undefeated Mad Balls Arena champion

  2. #2
    Unfortunately since version 6.88 the map only works on W3 1.26 because it exploits a vulnerability in W3 engine that was later patched. Why not just switch to 1.26 and stay there you ask?
    We wait for a pvpgn 1.26 patch, our community really miss the XPAM realm

    LE: We played 7 years with 1.26 and all was fine no map issues, no probelms. Who wanna play 12v12 on 1.29 patch?
    All those for a vulnerability in W3 engine, serious map makers don't exploit in a wrong way... and we use original maps.
    Last edited by imbalod; 1st June 2018 at 02:49 AM.

  3. #3
    Registered User
    Join Date
    Nov 2013
    Location
    Iran
    Age
    25
    Posts
    43
    Quote Originally Posted by imbalod View Post
    We wait for a pvpgn 1.26 patch, our community really miss the XPAM realm

    LE: We played 7 years with 1.26 and all was fine no map issues, no probelms. Who wanna play 12v12 on 1.29 patch?
    All those for a vulnerability in W3 engine, serious map makers don't exploit in a wrong way... and we use original maps.
    eurobattle servers never back again to 1.26 patch also blizzard doing great work relasee new version patchs for warcraft 3, but well i'm upset why still not add patch 1.29.2 to our eurobattle servers. also dont forget this in game or in real life In time, some things change, and over time you have to devote yourself to the changes...

  4. #4
    This is what awesome looks like Silver.'s Avatar
    Join Date
    Sep 2007
    Location
    Romania
    Age
    28
    Posts
    2,042
    Awards
    Well, 1.29 as of now causes a bit more problems, especially with 12v12 and resolution. Always needs fixing and they will tweak it a lot this year until they get it right.

    It will come to our server too by the end of year, but i'd rather wait for a stable version and in the meantime bring 6.88 to players (1.26 patch) and keep 1.28.5 at the same time.

    Two versions, one server. Best movie ever. Hope you will see the fruits of Cen & Co's work.

  5. #5
    Safelist Member
    Join Date
    Jul 2013
    Age
    18
    Posts
    277
    any updates on how the 1.29 patch is going?

  6. #6
    Registered User
    Join Date
    Nov 2013
    Location
    Iran
    Age
    25
    Posts
    43
    when 1.29.2 patch Will be released for eurobattle ?
    already 1.30 patch released from blizzard...
    i'm tired really ....

  7. #7
    We don't have resources to work on the loader : https://github.com/w3lh/w3l

    If someone will adjust it, we can upgrade the server asap

  8. #8
    Safelist Member
    Join Date
    Jul 2013
    Age
    18
    Posts
    277
    Can you actually hit me up on discord kja12, Nexxus#4956, I'll try to help if it's in my powers, just tell me what's up

  9. #9
    Registered User
    Join Date
    Nov 2013
    Location
    Iran
    Age
    25
    Posts
    43
    i have a idea maybe good idea .
    for found anyone to work on loader you need send email to all memebers euro battle to found anyone... for sure with this work you found anyone

  10. #10
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,167
    Blog Entries
    2
    Server now supports W3 version 1.26 and 1.28 at the same time.

    We successfully internally tested a new lagabuse bot on version 1.26 and DotA 6.88, so far without major problems. Now just need to polish up the client a bit and then we will release a public beta (1-2 weeks from now). When things are confirmed working we will move lagabuse ladder to DotA 6.88 and have a separate bot host custom games on latest w3 patch.

    Latest w3 patch remains 1.28.5 for now but we will start working on 1.29 and 1.30 support fully as soon as dual version is out for public. There wasn't enough time and manpower to tackle both things at the same time.

    Final goal: 1.26+Dota 6.88 for lagabuse (+SS) and 1.30 for custom games, PG and cross-realm bots (ENT etc)..
    Last edited by Cen; 23rd July 2018 at 10:29 PM.

    Undefeated Mad Balls Arena champion

  11. #11
    Registered User KingLich's Avatar
    Join Date
    Sep 2013
    Location
    naxxramas
    Age
    23
    Posts
    8
    1.30? has that even released? I thought the latest w3 patch was 1.29.2

  12. #12
    Administrator Cen's Avatar
    Join Date
    Sep 2006
    Location
    Slovenia
    Age
    27
    Posts
    15,167
    Blog Entries
    2
    Quote Originally Posted by KingLich View Post
    1.30? has that even released? I thought the latest w3 patch was 1.29.2
    It's in PTR right now but in my estimated timeline it will be released before we get w3l fixed up. 1.29 to 1.30 will probably be much easier upgrade tho so no matter which one it will be.

    Undefeated Mad Balls Arena champion

  13. #13
    registered user -Black-'s Avatar
    Join Date
    May 2011
    Location
    RO
    Posts
    336
    Finaly some movement

  14. #14
    It looks like the recent lagabuse.com bots update fixed all maps which couldn't be loaded due to an invalid config: Castle fight, YouTD, Hero of the empire, Gaia's rpg and other
    Last edited by kja12; 24th July 2018 at 11:49 PM.

  15. #15
    Safelist Member
    Join Date
    Jul 2013
    Age
    18
    Posts
    277
    any update on hows the patch coming? also I can't help with that stuff xd

Page 1 of 2 1 2 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Inne strony: Film Filmy 2017 Horror 2017


Affiliates